[Unit]
Description=etcd
Documentation=https://github.com/coreos

[Service]
ExecStart=/usr/bin/etcd \
  --name {{ xname }} \
  --cert-file=/etc/etcd/kubernetes.pem \
  --key-file=/etc/etcd/kubernetes-key.pem \
  --peer-cert-file=/etc/etcd/kubernetes.pem \
  --peer-key-file=/etc/etcd/kubernetes-key.pem \
  --trusted-ca-file=/etc/etcd/ca.pem \
  --peer-trusted-ca-file=/etc/etcd/ca.pem \
  --peer-client-cert-auth \
  --client-cert-auth \
  --initial-advertise-peer-urls https://{{ hostname }}:2380 \
  --listen-peer-urls https://{{ ip }}:2380 \
  --listen-client-urls https://{{ ip }}:2379,http://127.0.0.1:2379 \
  --advertise-client-urls https://{{ hostname }}:2379 \
  --initial-cluster-token etcd-cluster-0 \
  --initial-cluster ma0=https://ma0.portal.{{domain}}:2380,ma1=https://ma1.portal.{{domain}}:2380,ma2=https://ma2.portal.{{domain}}:2380 \
  --initial-cluster-state new \
  --data-dir=/var/lib/etcd
Restart=on-failure
RestartSec=5

[Install]
WantedBy=multi-user.target
